org.jgroups.logging

## Interface CustomLogFactory

-     public interface CustomLogFactory

  An extension interface allowing to plug in a custom log provider. Set the `jgroups.logging.log_factory_class` system property with the fully qualified class name of your implementation in order for JGroups to use it

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Log` | `getLog(java.lang.Class clazz)`
    `Log` | `getLog(java.lang.String category)`

- - ### Method Detail

    - #### getLog

          Log getLog(java.lang.Class clazz)

    - #### getLog

          Log getLog(java.lang.String category)

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.